SDL_GetCameras(3)

NAME
SDL_GetCameras - Get a list of currently connected camera devices.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_CameraID * SDL_GetCameras(int *count);

FUNCTION PARAMETERS

count
    a pointer filled in with the number of cameras returned, may be NULL.

RETURN VALUE
( SDL_CameraID
 *) Returns a 0 terminated array of camera instance IDs or NULL on failure; call SDL_GetError () for more information. This should be freed with SDL_free () when it is no longer needed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_OpenCamera(3)